Move to the next node

- « SplHeap::key

- SplHeap::recoverFromCorruption »

- PHP Manual
- SplHeap
- Move to the next node

# SplHeap::next

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

SplHeap::next — Move to the next node

### Description

public SplHeap::next(): void

Move to the next node. This will delete the top node of the heap.

### Parameters

This function has no parameters.

### Return Values

No value is returned.